/*
*  Name:      IType.java
*  Author:    Rafael Jesus Alcantara Perez
*  Summary:   Interface for SQL types.
*  Date:      $Date: 2002/08/19 12:59:57 $
*  Revision:  $Revision: 1.1 $
*
*  Copyright (C) 2002  Rafael Jesus Alcantara Perez <rafa@dedalo-ing.com>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
*  MA 02111-1307, USA.
*/

///  Name-space for UESQL.
package org.uesqlc;


///  Base SQL data type. It is used as interface for embedded variables.
interface IType
{

  //
  //  C O N S T R U C T O R S
  //

  /**
  *  Assigns value \a pkcVALUE.
  *  @param pkcVALUE Source value.
  */
  public void set (final String pkcVALUE);
      

  //
  //  S E L E C T O R S
  //

  /**
  *  Returns a string with the value of the instance. If the instance holds
  *  a null value, then the string 'NULL' will be printed.
  *  @return The result of converting this instance to string.
  */
  public String get();

  /**
  *  Returns true if the last data retrieved has been a NULL value.
  *  @return True if the last data retrieved has been a NULL value.
  */
  public boolean isNull();

}  // interface IType
